summaryrefslogtreecommitdiff
path: root/lib-src
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2022-12-07 17:45:42 -0700
committerSean Whitton <spwhitton@spwhitton.name>2022-12-07 17:52:41 -0700
commit29815e6a8d279f3dd34619993406fac9d7cfdd90 (patch)
treeda63eac7853e3c5930772415fd7812900ea5d06f /lib-src
parent7c5502c4105afad57812ac650640f5504eebbc48 (diff)
downloaddotfiles-29815e6a8d279f3dd34619993406fac9d7cfdd90.tar.gz
factor out common duply config, move passphrase file, some tidying
Diffstat (limited to 'lib-src')
-rw-r--r--lib-src/duply/common.sh18
-rw-r--r--lib-src/duply/workstation.sh2
2 files changed, 20 insertions, 0 deletions
diff --git a/lib-src/duply/common.sh b/lib-src/duply/common.sh
new file mode 100644
index 00000000..c3f37617
--- /dev/null
+++ b/lib-src/duply/common.sh
@@ -0,0 +1,18 @@
+# To get documentation on these options, run 'duply sample create' and you'll
+# find a fully-commented configuration file in ~/.duply/sample/conf.
+
+GPG_IMPORT=disabled
+GPG_EXPORT=disabled
+GPG_PW="$(<"$HOME/.duply/$PROFILE/gpg_pw")"
+[ -n "$GPG_PW" ] || exit
+
+SOURCE=/
+FILENAME=.duplicity-ignore
+DUPL_PARAMS="$DUPL_PARAMS --exclude-if-present $FILENAME"
+
+MAX_AGE=4M
+MAX_FULL_BACKUPS=2
+MAX_FULLBKP_AGE=1M
+DUPL_PARAMS="$DUPL_PARAMS --full-if-older-than $MAX_FULLBKP_AGE"
+
+DUPL_PARAMS="$DUPL_PARAMS --asynchronous-upload"
diff --git a/lib-src/duply/workstation.sh b/lib-src/duply/workstation.sh
new file mode 100644
index 00000000..8fb96047
--- /dev/null
+++ b/lib-src/duply/workstation.sh
@@ -0,0 +1,2 @@
+TARGET="rsync://19371@ch-s012.rsync.net/duply/$PROFILE/"
+DUPL_PARAMS="$DUPL_PARAMS --rsync-options '--rsh=\"ssh -oBatchMode=yes -oControlMaster=no -oControlPath=none -oIdentitiesOnly=yes -i $HOME/.ssh/id_19371@ch-s012.rsync.net\"'"